## mpvqt 1.0.1

=== CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2023 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: BSD-3-Clause
#

cmake_minimum_required(VERSION 3.15)

project(MpvQt  VERSION 1.0.1 LANGUAGES CXX)

set(REQUIRED_QT_VERSION 6.5.0)

find_package(ECM 6.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings NO_POLICY_SCOPE)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMGenerateHeaders)
include(ECMGenerateExportHeader)

include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.hpp *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(KDEGitCommitHooks)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

include(ECMSetupVersion)
ecm_setup_version(PROJECT
    VARIABLE_PREFIX MPVQT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/mpvqt_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/MpvQtConfigVersion.cmake"
    SOVERSION 1
)

find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Quick)

find_package(Libmpv)
set_package_properties(Libmpv PROPERTIES TYPE REQUIRED
    URL "https://mpv.io")

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/MpvQt")

include(CMakePackageConfigHelpers)
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/MpvQtConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/MpvQtConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

add_subdirectory(src)

option(BUILD_EXAMPLES "Whether to build the examples" OFF)
if (BUILD_EXAMPLES)
    add_subdirectory(examples/video-player)
endif()

=== src/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2023 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: BSD-3-Clause
#

add_library(MpvQt)
add_library(MpvQt::MpvQt ALIAS MpvQt)

set_target_properties(MpvQt PROPERTIES
    VERSION     ${MPVQT_VERSION}
    SOVERSION   ${MPVQT_SOVERSION}
    EXPORT_NAME MpvQt
)

target_sources(MpvQt
    PRIVATE
        mpvabstractitem.h mpvabstractitem.cpp
        mpvcontroller.h mpvcontroller.cpp
        mpvrenderer.h mpvrenderer.cpp
)

ecm_generate_export_header(MpvQt
    BASE_NAME MpvQt
    VERSION 1.0.0
    USE_VERSION_HEADER
)

target_include_directories(MpvQt
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/MpvQt>"
)

target_link_libraries(MpvQt
    PUBLIC
        Qt6::Quick
        Libmpv::Libmpv
)

ecm_generate_headers(MpvQt_HEADERS
    HEADER_NAMES MpvAbstractItem
                 MpvController
    REQUIRED_HEADERS MpvQt_HEADERS
)

install(TARGETS MpvQt EXPORT MpvQtTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mpvqt_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/mpvqt_version.h
    ${MpvQt_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/MpvQt COMPONENT Devel
)

install(FILES
    "${PROJECT_BINARY_DIR}/MpvQtConfig.cmake"
    "${PROJECT_BINARY_DIR}/MpvQtConfigVersion.cmake"
    "${CMAKE_SOURCE_DIR}/cmake/FindLibmpv.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT MpvQtTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE MpvQtTargets.cmake NAMESPACE MpvQt:: )

=== examples/video-player/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2023 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: BSD-3-Clause
#

cmake_minimum_required(VERSION 3.15)

project(videoplayer LANGUAGES CXX)

set(CMAKE_AUTOUIC ON)

find_package(ECM 6.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings NO_POLICY_SCOPE)
include(KDECompilerSettings NO_POLICY_SCOPE)

find_package(Qt6 COMPONENTS Core Quick REQUIRED)

find_package(MpvQt)

add_executable(videoplayer)

target_sources(videoplayer
    PRIVATE
        main.cpp
        mpvitem.h mpvitem.cpp
        mpvproperties.h
        qml.qrc
)

target_link_libraries(videoplayer
    PRIVATE
        Qt6::Core
        Qt6::Quick
        MpvQt::MpvQt
)

install(TARGETS videoplayer DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

## mpvqt 1.0.0

=== debian/changelog ===
mpvqt (1.0.0-1ubuntu1) plucky; urgency=medium

  * Disable building with LTO to prevent FTBFS with Debian's symbols.

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Oct 2024 13:49:19 +0000

mpvqt (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #1076446)

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 17 Jul 2024 02:36:48 -0700

=== debian/control ===
Source: mpvqt
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@debian.org>,
Section: libs
Priority: optional
Build-Depends: cmake (>= 3.15~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules,
               libmpv-dev,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/libraries/mpvqt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/mpvqt
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/mpvqt.git
Rules-Requires-Root: no

Package: libmpvqt1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Libmpv wrapper for QtQuick2 and QML
 MpvQt is a libmpv wrapper for QtQuick2 and QML
 this is the library.
 .
 This package contains the shared library,

Package: libmpvqt-dev
Section: libdevel
Architecture: any
Depends: libmpv-dev,
         libmpvqt1 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0~),
         qt6-declarative-dev (>= 6.5.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Libmpv wrapper for QtQuick2 and QML development
 MpvQt is a libmpv wrapper for QtQuick2 and QML
 these are the development files.
 .
 This package contains the files necessary for development.

## mpvqt 1.0.1

=== debian/changelog ===
mpvqt (1.0.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (1.0.1)
  * Update symbols from build logs.
  * Kubuntu Vcs and maintainer.

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Nov 2024 10:49:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: mpvqt
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@debian.org>,
 Section: libs
@@ -14,8 +14,8 @@
                qt6-declarative-dev (>= 6.5.0~),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/libraries/mpvqt
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/mpvqt
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/mpvqt.git
+Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mpvqt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mpvqt
 Rules-Requires-Root: no
 
 Package: libmpvqt1

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

%:
	dh $@

## mpvqt 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,19 +6,34 @@
 
 cmake_minimum_required(VERSION 3.15)
 
-project(MpvQt  VERSION 1.0.1 LANGUAGES CXX)
+project(MpvQt VERSION 1.1.0 LANGUAGES CXX)
 
 set(REQUIRED_QT_VERSION 6.5.0)
 
-find_package(ECM 6.0.0 REQUIRED NO_MODULE)
+include(FeatureSummary)
+
+find_package(ECM 6.0.0 NO_MODULE)
+set_package_properties(ECM PROPERTIES TYPE REQUIRED
+    URL "https://api.kde.org/ecm/"
+    DESCRIPTION "extra cmake modules")
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
-include(FeatureSummary)
+find_package(Qt6Quick ${REQUIRED_QT_VERSION})
+set_package_properties(Qt6Quick PROPERTIES TYPE REQUIRED)
+
+find_package(Libmpv)
+set_package_properties(Libmpv PROPERTIES TYPE REQUIRED
+    URL "https://mpv.io")
+
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
 include(KDEInstallDirs)
 include(KDECMakeSettings NO_POLICY_SCOPE)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMGenerateHeaders)
 include(ECMGenerateExportHeader)
+
+set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/MpvQt")
 
 include(KDEClangFormat)
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.hpp *.c)
@@ -35,14 +50,6 @@
     SOVERSION 1
 )
 
-find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Quick)
-
-find_package(Libmpv)
-set_package_properties(Libmpv PROPERTIES TYPE REQUIRED
-    URL "https://mpv.io")
-
-set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/MpvQt")
-
 include(CMakePackageConfigHelpers)
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/MpvQtConfig.cmake.in"
@@ -50,8 +57,6 @@
     INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
 )
 
-feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
 add_subdirectory(src)
 
 option(BUILD_EXAMPLES "Whether to build the examples" OFF)

=== debian/changelog ===
mpvqt (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Restore the binary compatibility because of the modified observeProperty()
    functions; patch observeProperty-binary-compatibility.diff.
  * Update symbols file.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 09 Apr 2025 08:54:19 +0200

mpvqt (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Maintainer to Debian KDE Extras Team.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Update symbols file.
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 6.0.0
  * Update/simplify copyright.
  * Remove the unused ${shlibs:Depends} substvar from libmpvqt-dev.
  * Ship the examples in libmpvqt-dev.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Feb 2025 13:30:17 +0100

=== debian/control ===
Source: mpvqt
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Scarlett Moore <sgmoore@debian.org>,
Section: libs
Priority: optional
Build-Depends: cmake (>= 3.15~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.0.0~),
               libmpv-dev,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/libraries/mpvqt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/mpvqt
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/mpvqt.git
Rules-Requires-Root: no

Package: libmpvqt1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Libmpv wrapper for QtQuick2 and QML
 MpvQt is a libmpv wrapper for QtQuick2 and QML
 this is the library.
 .
 This package contains the shared library,

Package: libmpvqt-dev
Section: libdevel
Architecture: any
Depends: libmpv-dev,
         libmpvqt1 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0~),
         qt6-declarative-dev (>= 6.5.0~),
         ${misc:Depends},
Description: Libmpv wrapper for QtQuick2 and QML development
 MpvQt is a libmpv wrapper for QtQuick2 and QML
 these are the development files.
 .
 This package contains the files necessary for development.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

## mpvqt 1.1.1

=== examples/video-player/CMakeLists.txt ===
--- 
+++ 
@@ -21,14 +21,21 @@
 
 find_package(MpvQt)
 
-add_executable(videoplayer)
+qt_standard_project_setup(REQUIRES 6.5)
+qt_add_executable(videoplayer)
+
+qt_policy(SET QTP0001 NEW)
+qt_add_qml_module(videoplayer
+    URI com.example.mpvqt
+    QML_FILES
+        Main.qml
+)
 
 target_sources(videoplayer
     PRIVATE
         main.cpp
         mpvitem.h mpvitem.cpp
         mpvproperties.h
-        qml.qrc
 )
 
 target_link_libraries(videoplayer

=== debian/changelog ===
mpvqt (1.1.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.

 -- Pino Toscano <pino@debian.org>  Tue, 23 Sep 2025 07:25:55 +0200

mpvqt (1.1.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Rename libmpvqt1 to libmpvqt2 according to the upstream SONAME bump.
  * Update the patches:
    - observeProperty-binary-compatibility.diff: drop, no more needed now since
      there is a SONAME bump
  * Minimal tweaks to install files.
  * Mark libmpvqt2 as Multi-Arch: same.
  * Update symbols files, mostly dropping the compatibility symbols added by
    the dropped observeProperty-binary-compatibility.diff patch.

 -- Pino Toscano <pino@debian.org>  Tue, 26 Aug 2025 07:13:49 +0200

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
 Homepage: https://invent.kde.org/libraries/mpvqt
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/mpvqt
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/mpvqt.git
-Rules-Requires-Root: no
 
-Package: libmpvqt1
+Package: libmpvqt2
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Libmpv wrapper for QtQuick2 and QML
  MpvQt is a libmpv wrapper for QtQuick2 and QML
@@ -30,7 +30,7 @@
 Section: libdevel
 Architecture: any
 Depends: libmpv-dev,
-         libmpvqt1 (= ${binary:Version}),
+         libmpvqt2 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0~),
          qt6-declarative-dev (>= 6.5.0~),
          ${misc:Depends},

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/mpvqt/@PACKAGE@-([\d.]+).tar.xz

## mpvqt 1.1.1+p24.04+vstable+git20251028.1009

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 # SPDX-License-Identifier: BSD-3-Clause
 #
 
-cmake_minimum_required(VERSION 3.15)
+cmake_minimum_required(VERSION 3.16...3.31)
 
-project(MpvQt VERSION 1.1.0 LANGUAGES CXX)
+project(MpvQt VERSION 1.1.1 LANGUAGES CXX)
 
 set(REQUIRED_QT_VERSION 6.5.0)
 
@@ -47,7 +47,7 @@
     VARIABLE_PREFIX MPVQT
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/mpvqt_version.h"
     PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/MpvQtConfigVersion.cmake"
-    SOVERSION 1
+    SOVERSION 2
 )
 
 include(CMakePackageConfigHelpers)

=== examples/video-player/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # SPDX-License-Identifier: BSD-3-Clause
 #
 
-cmake_minimum_required(VERSION 3.15)
+cmake_minimum_required(VERSION 3.16...3.31)
 
 project(videoplayer LANGUAGES CXX)

=== debian/changelog ===
mpvqt (1.1.1+p24.04+vstable+git20251028.1009-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:09:09 +0000

mpvqt (1.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 16 Apr 2025 18:20:09 +0000

mpvqt (1.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 07 Apr 2025 18:20:10 +0000

mpvqt (1.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 30 Jul 2024 18:20:08 +0000

mpvqt (1.0.0-0neon) noble; urgency=medium


  * initial release

 -- Neon CI <neon@kde.org>  Thu, 16 Nov 2022 06:15:55 +1000

=== debian/control ===
Source: mpvqt
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               libmpv-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/neon-packaging/mpvqt.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/mpvqt
Maintainer: Neon CI <neon@kde.org>

Package: mpvqt
Architecture: any
Depends: libmpv2, yt-dlp | youtube-dl, ${misc:Depends}, ${shlibs:Depends}
Description: qml wrapper around libmpv
 Library files.

Package: mpvqt-dev
Architecture: any
Depends: libmpv-dev,
         mpvqt,
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: qml wrapper around libmpv
 Development files.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/mpvqt/@PACKAGE@-([\d.]+).tar.xz

## mpvqt 1.1.1+p24.04+vstable+git20251215.0116

=== debian/changelog ===
mpvqt (1.1.1+p24.04+vstable+git20251215.0116-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Dec 2025 01:16:23 +0000

## mpvqt 1.1.1+p24.04+vstable+git20260126.0712

=== debian/changelog ===
mpvqt (1.1.1+p24.04+vstable+git20260126.0712-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:12:47 +0000

## mpvqt 1.1.1+p24.04+vstable+git20260131.1254

=== CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2023 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: BSD-3-Clause
#

cmake_minimum_required(VERSION 3.16...3.31)

project(MpvQt VERSION 1.1.1 LANGUAGES CXX)

set(REQUIRED_QT_VERSION 6.5.0)

include(FeatureSummary)

find_package(ECM 6.15.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/ecm/"
    DESCRIPTION "Extra modules and scripts for CMake")

if(ECM_FOUND)
    set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

    include(KDEInstallDirs)
    include(KDECMakeSettings NO_POLICY_SCOPE)
    include(KDECompilerSettings NO_POLICY_SCOPE)
    include(ECMGenerateHeaders)
    include(ECMGenerateExportHeader)

    set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/MpvQt")

    include(KDEClangFormat)
    file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.hpp *.c)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

    include(KDEGitCommitHooks)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

    include(ECMSetupVersion)
    ecm_setup_version(PROJECT
        VARIABLE_PREFIX MPVQT
        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/mpvqt_version.h"
        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/MpvQtConfigVersion.cmake"
        SOVERSION 2
    )

    include(CMakePackageConfigHelpers)
    configure_package_config_file(
        "${CMAKE_CURRENT_SOURCE_DIR}/MpvQtConfig.cmake.in"
        "${CMAKE_CURRENT_BINARY_DIR}/MpvQtConfig.cmake"
        INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    )
endif()

find_package(Qt6Quick ${REQUIRED_QT_VERSION})
set_package_properties(Qt6Quick PROPERTIES TYPE REQUIRED)

find_package(Libmpv)
set_package_properties(Libmpv PROPERTIES TYPE REQUIRED
    URL "https://mpv.io")

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

add_subdirectory(src)

option(BUILD_EXAMPLES "Whether to build the examples" OFF)
if (BUILD_EXAMPLES)
    add_subdirectory(examples/video-player)
endif()

=== debian/changelog ===
mpvqt (1.1.1+p24.04+vstable+git20260131.1254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 12:54:41 +0000

## mpvqt 1.1.1+p24.04+vunstable+git20251028.0916

=== debian/changelog ===
mpvqt (1.1.1+p24.04+vunstable+git20251028.0916-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:16:40 +0000

## mpvqt 1.1.1+p24.04+vunstable+git20260123.0332

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 include(FeatureSummary)
 
-find_package(ECM 6.15.0 NO_MODULE)
+find_package(ECM 6.10.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/ecm/"
     DESCRIPTION "Extra modules and scripts for CMake")

=== debian/changelog ===
mpvqt (1.1.1+p24.04+vunstable+git20260123.0332-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:32:05 +0000

## mpvqt 1.1.1+p24.04+vunstable+git20260129.0256

=== debian/changelog ===
mpvqt (1.1.1+p24.04+vunstable+git20260129.0256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:56:08 +0000
